<?php

	//-----------------------------------------------------------------------------
	date_default_timezone_set('Europe/Paris');
	$marqueur_temps_maintenant = time();
	
	//-----------------------------------------------------------------------------
	$marqueur_temps_aujourdhui = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant)  , date("d", $marqueur_temps_maintenant), date("Y", $marqueur_temps_maintenant) );
	$aujourdhui_jour  = date("d", $marqueur_temps_aujourdhui) ;
	$aujourdhui_mois  = date("m", $marqueur_temps_aujourdhui) ;
	$aujourdhui_annee = date("Y", $marqueur_temps_aujourdhui) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_hier = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant)  , date("d", $marqueur_temps_maintenant) - 1, date("Y", $marqueur_temps_maintenant) );
	$hier_jour  = date("d", $marqueur_temps_hier) ;
	$hier_mois  = date("m", $marqueur_temps_hier) ;
	$hier_annee = date("Y", $marqueur_temps_hier) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_1_semaine_avant = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant)  , date("d", $marqueur_temps_maintenant) - 7, date("Y", $marqueur_temps_maintenant) );
	while ( date('N', $marqueur_temps_1_semaine_avant ) != 1 ) {
		$marqueur_temps_1_semaine_avant = $marqueur_temps_1_semaine_avant + 86400 ;	
	}
	$jour_1_semaine_avant  = date("d", $marqueur_temps_1_semaine_avant) ;
	$mois_1_semaine_avant  = date("m", $marqueur_temps_1_semaine_avant) ;
	$annee_1_semaine_avant = date("Y", $marqueur_temps_1_semaine_avant) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_2_semaines_avant = $marqueur_temps_1_semaine_avant - (14-7)*86400;
	$jour_2_semaines_avant  = date("d", $marqueur_temps_2_semaines_avant) ;
	$mois_2_semaines_avant  = date("m", $marqueur_temps_2_semaines_avant) ;
	$annee_2_semaines_avant = date("Y", $marqueur_temps_2_semaines_avant) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_1_mois_avant = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant) - 1 , date("d", $marqueur_temps_maintenant), date("Y", $marqueur_temps_maintenant) );
	while ( date('N', $marqueur_temps_1_mois_avant ) != 1 ) {
		$marqueur_temps_1_mois_avant = $marqueur_temps_1_mois_avant + 86400 ;	
	}
	$jour_1_mois_avant  = date("d", $marqueur_temps_1_mois_avant) ;
	$mois_1_mois_avant  = date("m", $marqueur_temps_1_mois_avant) ;
	$annee_1_mois_avant = date("Y", $marqueur_temps_1_mois_avant) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_2_mois_avant = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant) - 2 , date("d", $marqueur_temps_maintenant), date("Y", $marqueur_temps_maintenant) );
	while ( date('N', $marqueur_temps_2_mois_avant ) != 1 ) {
		$marqueur_temps_2_mois_avant = $marqueur_temps_2_mois_avant + 86400 ;	
	}
	$jour_2_mois_avant  = date("d", $marqueur_temps_2_mois_avant) ;
	$mois_2_mois_avant  = date("m", $marqueur_temps_2_mois_avant) ;
	$annee_2_mois_avant = date("Y", $marqueur_temps_2_mois_avant) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_3_mois_avant = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant) - 3 , date("d", $marqueur_temps_maintenant), date("Y", $marqueur_temps_maintenant) );
	while ( date('N', $marqueur_temps_3_mois_avant ) != 1 ) {
		$marqueur_temps_3_mois_avant = $marqueur_temps_3_mois_avant + 86400 ;	
	}
	$jour_3_mois_avant  = date("d", $marqueur_temps_3_mois_avant) ;
	$mois_3_mois_avant  = date("m", $marqueur_temps_3_mois_avant) ;
	$annee_3_mois_avant = date("Y", $marqueur_temps_3_mois_avant) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_6_mois_avant = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant) - 6 , date("d", $marqueur_temps_maintenant), date("Y", $marqueur_temps_maintenant) );
	while ( date('N', $marqueur_temps_6_mois_avant ) != 1 ) {
		$marqueur_temps_6_mois_avant = $marqueur_temps_6_mois_avant + 86400 ;	
	}
	$jour_6_mois_avant  = date("d", $marqueur_temps_6_mois_avant) ;
	$mois_6_mois_avant  = date("m", $marqueur_temps_6_mois_avant) ;
	$annee_6_mois_avant = date("Y", $marqueur_temps_6_mois_avant) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_1_an_avant = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant) , date("d", $marqueur_temps_maintenant), date("Y", $marqueur_temps_maintenant) - 1 );
	while ( date('N', $marqueur_temps_1_an_avant ) != 1 ) {
		$marqueur_temps_1_an_avant = $marqueur_temps_1_an_avant + 86400 ;	
	}
	$jour_1_an_avant  = date("d", $marqueur_temps_1_an_avant) ;
	$mois_1_an_avant  = date("m", $marqueur_temps_1_an_avant) ;
	$annee_1_an_avant = date("Y", $marqueur_temps_1_an_avant) ;

	//-----------------------------------------------------------------------------
	$marqueur_temps_avant = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant)  , date("d", $marqueur_temps_maintenant) - 7*4, date("Y", $marqueur_temps_maintenant) );
	$avant_jour  = date("d", $marqueur_temps_avant) ;
	$avant_mois  = date("m", $marqueur_temps_avant) ;
	$avant_annee = date("Y", $marqueur_temps_avant) ;

	//-----------------------------------------------------------------------------

?>